<?php

use Illuminate\Support\Facades\Route;

Route::middleware(['auth', 'admin'])->group(function () {

    Route::get('registration-bonus/history', 'RegistrationBonusHistoryController@index')->name('registraion_bonus.history');
    Route::get('registration-bonus/data-table', 'RegistrationBonusHistoryController@dataTable')->name('registraion_bonus.dataTable');
    Route::get('registraion-bonus-setting', 'RegistrationBonusSettingController@index')->name('registration_bonus.setting')->middleware("RoutePermissionCheck:registration_bonus.setting");
    Route::post('registraion-bonus-setting/update', 'RegistrationBonusSettingController@update')->name('registration_bonus.setting.update')->middleware("RoutePermissionCheck:registration_bonus.setting");
});
